org.keycloak.events.jpa

## Class JpaEventStoreProvider

- java.lang.Object
- - org.keycloak.events.jpa.JpaEventStoreProvider

- All Implemented Interfaces:
    EventListenerProvider, EventStoreProvider, Provider

      public class JpaEventStoreProvider
      extends Object
      implements EventStoreProvider

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaEventStoreProvider(javax.persistence.EntityManager em, Set<EventType> includedEvents)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `void` | `clear(String realmId)`
    `void` | `clear(String realmId, long olderThan)`
    `void` | `close()`
    `EventQuery` | `createQuery()`
    `void` | `onEvent(Event event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JpaEventStoreProvider

          public JpaEventStoreProvider(javax.persistence.EntityManager em,
                               Set<EventType> includedEvents)

  - ### Method Detail

    - #### createQuery

          public EventQuery createQuery()

      Specified by:
        `createQuery` in interface `EventStoreProvider`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `EventStoreProvider`

    - #### clear

          public void clear(String realmId)

      Specified by:
        `clear` in interface `EventStoreProvider`

    - #### clear

          public void clear(String realmId,
                   long olderThan)

      Specified by:
        `clear` in interface `EventStoreProvider`

    - #### onEvent

          public void onEvent(Event event)

      Specified by:
        `onEvent` in interface `EventListenerProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2015. All Rights Reserved.